Debian Bug report logs - #607289
New upstream version available 4.6

version graph

Package: gnuplot; Maintainer for gnuplot is Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>; Source for gnuplot is src:gnuplot.

Reported by: Alex Valavanis <valavanisalex@gmail.com>

Date: Thu, 16 Dec 2010 17:33:01 UTC

Owned by: Anton Gladky <gladky.anton@gmail.com>

Severity: wishlist

Found in version gnuplot/4.4.0-1.1

Fixed in version 4.6.0-1

Done: Agustin Martin <agmartin@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Bradley Smith <bradsmith@debian.org>:
Bug#607289; Package gnuplot. (Thu, 16 Dec 2010 17:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alex Valavanis <valavanisalex@gmail.com>:
New Bug report received and forwarded. Copy sent to Bradley Smith <bradsmith@debian.org>. (Thu, 16 Dec 2010 17:33:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Alex Valavanis <valavanisalex@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: New upstream version available 4.4.2
Date: Thu, 16 Dec 2010 17:28:24 +0000
Package: gnuplot
Version: 4.4.0-1.1

Please update the package to the new version.

New features, changes and fixes since gnuplot version 4.4
=========================================================

* NEW time formats can handle fractional seconds (microsecond precision)
* NEW hidden3d supports "with impulses"
* NEW hidden3d supports arrow style parameters for "with vectors"
* NEW user-definable linetypes
* NEW plot style "with boxplot"
* NEW plot style "with circles" allows start/end angles for each arc
* NEW plot style "with ellipses"
* NEW qt terminal driver
* NEW variable (per-data point) color for additional plot styles
* NEW "set key opaque" produces a key with an opaque background
* NEW ISO-IEC-80000 prefixes (ki Mi Gi etc) available as gprintf formats %b %B
* FIX length estimation of UTF-8 strings
* CHANGE 3D zoom using middle mouse button is now a logarithmic response
* CHANGE 3D impulses are now always drawn from z=0
* CHANGE remove vestigial code supporting Amiga, Apollo, and 16-bit MSDOS/WIN
* CHANGE extend formats x/X/o/O to 64 bits if necessary to represent the value




Changed Bug title to 'New upstream version available 4.4.3' from 'New upstream version available 4.4.2' Request was from Andres Cimmarusti <acimmarusti@gmail.com> to control@bugs.debian.org. (Fri, 25 Mar 2011 21:39:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Bradley Smith <bradsmith@debian.org>:
Bug#607289; Package gnuplot. (Sat, 25 Feb 2012 23:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andres Cimmarusti <acimmarusti@gmail.com>:
Extra info received and forwarded to list. Copy sent to Bradley Smith <bradsmith@debian.org>. (Sat, 25 Feb 2012 23:54:03 GMT) Full text and rfc822 format available.

Message #12 received at 607289@bugs.debian.org (full text, mbox):

From: Andres Cimmarusti <acimmarusti@gmail.com>
To: control@bugs.debian.org, 607289@bugs.debian.org
Cc: bradsmith@debian.org, debian-science-maintainers@lists.alioth.debian.org, valavanisalex@gmail.com
Subject: pinging maintainer
Date: Sat, 25 Feb 2012 18:51:19 -0500
retitle 607289 New upstream version available 4.4.4
severity 607289 grave
thanks

The Gnuplot package has NOT been maintained in nearly a year and half!
I'm dialing up the severity of this bug. Several packages like Octave,
maxima, fityk, etc to name a few depend on this package.

Version 4.6 is not far off either. It will be release next month. This
newer version could make it into wheezy. Please, an update is
required!

Andres




Changed Bug title to 'New upstream version available 4.4.4' from 'New upstream version available 4.4.3' Request was from Andres Cimmarusti <acimmarusti@gmail.com> to control@bugs.debian.org. (Sat, 25 Feb 2012 23:54:05 GMT) Full text and rfc822 format available.

Severity set to 'grave' from 'normal' Request was from Andres Cimmarusti <acimmarusti@gmail.com> to control@bugs.debian.org. (Sat, 25 Feb 2012 23:54:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Bradley Smith <bradsmith@debian.org>:
Bug#607289; Package gnuplot. (Sun, 26 Feb 2012 06:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Anton Gladky <gladky.anton@gmail.com>:
Extra info received and forwarded to list. Copy sent to Bradley Smith <bradsmith@debian.org>. (Sun, 26 Feb 2012 06:57:03 GMT) Full text and rfc822 format available.

Message #21 received at 607289@bugs.debian.org (full text, mbox):

From: Anton Gladky <gladky.anton@gmail.com>
To: Andres Cimmarusti <acimmarusti@gmail.com>
Cc: 607289@bugs.debian.org, valavanisalex@gmail.com, bradsmith@debian.org, debian-science-maintainers@lists.alioth.debian.org
Subject: Re: pinging maintainer
Date: Sun, 26 Feb 2012 07:53:24 +0100
I think it would be better to maintain it under the team-umbrella.
More chance to keep the package in a better shape.

Anton



2012/2/26 Andres Cimmarusti <acimmarusti@gmail.com>:
> retitle 607289 New upstream version available 4.4.4
> severity 607289 grave
> thanks
>
> The Gnuplot package has NOT been maintained in nearly a year and half!
> I'm dialing up the severity of this bug. Several packages like Octave,
> maxima, fityk, etc to name a few depend on this package.
>
> Version 4.6 is not far off either. It will be release next month. This
> newer version could make it into wheezy. Please, an update is
> required!
>
> Andres
>
> --
> debian-science-maintainers mailing list
> debian-science-maintainers@lists.alioth.debian.org
> http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/debian-science-maintainers




Information forwarded to debian-bugs-dist@lists.debian.org, Bradley Smith <bradsmith@debian.org>:
Bug#607289; Package gnuplot. (Tue, 28 Feb 2012 08:54:29 GMT) Full text and rfc822 format available.

Acknowledgement sent to christophe.trophime@lncmi.cnrs.fr:
Extra info received and forwarded to list. Copy sent to Bradley Smith <bradsmith@debian.org>. (Tue, 28 Feb 2012 08:54:32 GMT) Full text and rfc822 format available.

Message #26 received at 607289@bugs.debian.org (full text, mbox):

From: trophime <christophe.trophime@lncmi.cnrs.fr>
To: 607289@bugs.debian.org
Subject: New upstream version available 4.4.4
Date: Tue, 28 Feb 2012 09:44:23 +0100
[Message part 1 (text/plain, inline)]
Wish to help to update gnuplot but
Trying to acces git repository I end up with an error

"""
fatal: http://git.brad-smith.co.uk/git/debian/pkg-gnuplot.git/info/refs
not found: did you run git update-server-info on the server?
"""
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Bradley Smith <bradsmith@debian.org>:
Bug#607289; Package gnuplot. (Sat, 03 Mar 2012 14:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Bradley Smith <bradsmith@debian.org>. (Sat, 03 Mar 2012 14:15:04 GMT) Full text and rfc822 format available.

Message #31 received at 607289@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Andres Cimmarusti <acimmarusti@gmail.com>
Cc: <607289@bugs.debian.org>, <bradsmith@debian.org>, <debian-science-maintainers@lists.alioth.debian.org>, <valavanisalex@gmail.com>
Subject: Re: pinging maintainer
Date: Sat, 03 Mar 2012 14:11:59 +0000
severity 607289 wishlist
thanks

On 25.02.2012 23:51, Andres Cimmarusti wrote:
> retitle 607289 New upstream version available 4.4.4
> severity 607289 grave
> thanks
>
> The Gnuplot package has NOT been maintained in nearly a year and 
> half!
> I'm dialing up the severity of this bug. Several packages like 
> Octave,
> maxima, fityk, etc to name a few depend on this package.

And exactly which part of "makes the package in question unusable or 
mostly so, or causes data loss, or introduces a security hole allowing 
access to the accounts of users who use the package" matches your 
description above?  Please don't abuse release-critical severities.  
Thanks.

Regards,

Adam




Severity set to 'wishlist' from 'grave' Request was from "Adam D. Barratt" <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Sat, 03 Mar 2012 14:15:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Bradley Smith <bradsmith@debian.org>:
Bug#607289; Package gnuplot. (Thu, 15 Mar 2012 10:45:31 GMT) Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <maks@debian.org>:
Extra info received and forwarded to list. Copy sent to Bradley Smith <bradsmith@debian.org>. (Thu, 15 Mar 2012 10:45:34 GMT) Full text and rfc822 format available.

Message #38 received at 607289@bugs.debian.org (full text, mbox):

From: maximilian attems <maks@debian.org>
To: Debian Bug Tracking System <607289@bugs.debian.org>
Subject: Re: New upstream version available 4.4.4
Date: Thu, 15 Mar 2012 11:43:01 +0100
Package: gnuplot
Version: 4.4.0-1.1
Followup-For: Bug #607289

Inbetween gnuplot 4.6 is out, please really consider to update it to
newer.

thank you

--
maks


-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (900, 'testing'), (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_GB.utf8, LC_CTYPE=en_GB.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages gnuplot depends on:
ii  gnuplot-nox  4.4.0-1.1+b1
ii  gnuplot-x11  4.4.0-1.1+b1

gnuplot recommends no packages.

Versions of packages gnuplot suggests:
pn  gnuplot-doc  <none>

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Bradley Smith <bradsmith@debian.org>:
Bug#607289; Package gnuplot. (Thu, 15 Mar 2012 14:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Agustin Martin <agmartin@debian.org>:
Extra info received and forwarded to list. Copy sent to Bradley Smith <bradsmith@debian.org>. (Thu, 15 Mar 2012 14:15:05 GMT) Full text and rfc822 format available.

Message #43 received at 607289@bugs.debian.org (full text, mbox):

From: Agustin Martin <agmartin@debian.org>
To: 607289@bugs.debian.org
Cc: debian-science-maintainers@lists.alioth.debian.org, trophime <christophe.trophime@lncmi.cnrs.fr>, 596969@bugs.debian.org
Subject: Re: Bug#607289: New gnuplot upstream version available 4.6
Date: Thu, 15 Mar 2012 15:11:21 +0100
retitle 607289 New upstream version available 4.6
thanks

On Thu, Mar 15, 2012 at 11:43:01AM +0100, maximilian attems wrote:
> Package: gnuplot
> Version: 4.4.0-1.1
> Followup-For: Bug #607289

> Inbetween gnuplot 4.6 is out, 

Already released,

New features, changes and fixes in gnuplot version 4.6
======================================================

* NEW individual plots can be toggled on/off by clicking on the key sample
    (wxt, svg, canvas, qt, win)
* NEW syntax allowing column selection by matching a string in the first
line
* NEW syntax supporting multi-line blocks of code delimited by curly braces
    if (<cond>) { ... } else { ... }
    do for [...] { ... }
    while (<cond>) { ... }
* NEW summation expression:   sum [<var> = <beg> : <end>] <something>
* NEW nested iteration e.g. "plot for [i=1:5] for [j=1:5]"
* NEW explicit justification for tic labels, e.g. "set xtics right"
* NEW time formats can handle fractional seconds (microsecond precision)
* NEW time() function returns current time
* NEW hidden3d supports "with impulses"
* NEW hidden3d supports arrow style parameters for "with vectors"
* NEW user-definable linetypes
* NEW plot style "with boxplot"
* NEW plot style "with circles" allows start/end angles for each arc
* NEW plot style "with ellipses"
* NEW plot style "with fillsteps"
* NEW qt terminal driver 
* NEW epscairo terminal driver
* NEW context terminal driver
* NEW cairolatex terminal driver
* NEW variable (per-data point) color for additional plot styles
* NEW "set key opaque" produces a key with an opaque background
* NEW ISO-IEC-80000 prefixes (ki Mi Gi etc) available as gprintf formats %b
* %B
* NEW encodings cp950 cp1251
* NEW option "set fit quiet"
* NEW option "kdensity2d" for two-dimensional kernel density plots
* NEW configuration option --without-bitmap-terminals (see note in INSTALL)
* NEW polar mode raxis, rtics, rrange, log-scaling, bounded filledcurves
* NEW Shift-JIS encoding recognized by postscript, gd, svg, and win
* terminals
* NEW windows terminal supports encodings
* NEW mouse tracking for SVG terminal
* NEW tab-completion for builtin readline
* NEW windows terminal can save graph as EMF file
* NEW cubehelix scheme for color palettes
* NEW localisation support for Windows help and menu file
* NEW Windows installer
* NEW shared initialization file $GNUPLOT_SHARE_DIR/gnuplotrc
* FIX length estimation of UTF-8 strings
* FIX accurate placement of color boundaries in the colorbar
* FIX Built-in readline handles UTF-8 encoding
* FIX asin(sin(z)) == z for complex z
* FIX default configuration does not initialize from ./.gnuplot
* CHANGE 3D zoom using middle mouse button is now a logarithmic response
* CHANGE 3D impulses are now always drawn from z=0
* CHANGE remove vestigial code supporting Amiga, Apollo, and 16-bit
* MSDOS/WIN
* CHANGE remove obsolete drivers unixplot and gnugraph
* CHANGE extend formats x/X/o/O to 64 bits if necessary to represent the
* value
* CHANGE "set palette maxcolors" no longer fights with "set palette defined"
* CHANGE javascript support for HTML5 canvas does not use global variables
* CHANGE Built-in readline DEL recognized as forward-delete
* (system-dependent)
* CHANGE Built-in readline ^W deletes previous full or partial word
* CHANGE wgnuplot text window supports wrapping of long lines
* CHANGE new Windows help file format (chm)
* CHANGE copy graph to clipboard as enhanced metafile in windows terminal
* CHANGE improved windows terminal driver
* CHANGE hidden3d top/bottom surface colors taken from linetype, not line
* style


> please really consider to update it to newer.

+1

Cc'ing debian-science in case someone there wants to care of this. I am a
bit busy now, but if I find a time slot I may look at this, even if only to
orphan the package and prepare a QA upload in the meantime. Cannot promise,
so better if someone else tries this.

Please note that there is also an Ubuntu 4.4.3-0u3 package. Did not look at
it, but depending on its quality may be useful to use it and/or keep track
of it.

christophe.trophime wrote:
> Trying to acces git repository I end up with an error
> 
> """
> fatal: http://git.brad-smith.co.uk/git/debian/pkg-gnuplot.git/info/refs
> not found: did you run git update-server-info on the server?
> """

Note that git repo at PTS (and debian/control file) is wrong (Already 
reported as

#596969 gnuplot: Wrong 'Vcs-Git' and 'Vcs-Browser' values in control file.

I found a valid git repo at

http://git.brad-smith.co.uk/git/debian/gnuplot.git

and I vaguely remember to have found one at gitorius/github/somewhere else,
but can no longer find it.

Above repo contains only debian changes, no upstream branch. 

Regards,

-- 
Agustin




Changed Bug title to 'New upstream version available 4.6' from 'New upstream version available 4.4.4' Request was from Agustin Martin <agmartin@debian.org> to control@bugs.debian.org. (Thu, 15 Mar 2012 14:15:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Bradley Smith <bradsmith@debian.org>:
Bug#607289; Package gnuplot. (Thu, 15 Mar 2012 19:33:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Anton Gladky <gladky.anton@gmail.com>:
Extra info received and forwarded to list. Copy sent to Bradley Smith <bradsmith@debian.org>. (Thu, 15 Mar 2012 19:33:07 GMT) Full text and rfc822 format available.

Message #50 received at 607289@bugs.debian.org (full text, mbox):

From: Anton Gladky <gladky.anton@gmail.com>
To: control@bugs.debian.org
Cc: 607289@bugs.debian.org
Date: Thu, 15 Mar 2012 20:30:45 +0100
owner 607289 !
thanks




Owner recorded as Anton Gladky <gladky.anton@gmail.com>. Request was from Anton Gladky <gladky.anton@gmail.com> to control@bugs.debian.org. (Thu, 15 Mar 2012 19:33:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Bradley Smith <bradsmith@debian.org>, Anton Gladky <gladky.anton@gmail.com>:
Bug#607289; Package gnuplot. (Fri, 16 Mar 2012 15:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Agustin Martin <agmartin@debian.org>:
Extra info received and forwarded to list. Copy sent to Bradley Smith <bradsmith@debian.org>, Anton Gladky <gladky.anton@gmail.com>. (Fri, 16 Mar 2012 15:21:06 GMT) Full text and rfc822 format available.

Message #57 received at 607289@bugs.debian.org (full text, mbox):

From: Agustin Martin <agmartin@debian.org>
To: 607289@bugs.debian.org
Cc: debian-science-maintainers@lists.alioth.debian.org
Subject: Re: Bug#607289:
Date: Fri, 16 Mar 2012 16:18:09 +0100
On Thu, Mar 15, 2012 at 08:30:45PM +0100, Anton Gladky wrote:
> owner 607289 !

Thanks for caring about this,

In case this is useful, I have setup a temporary git repo putting 
together some Debian gnuplot history, commits from Bradley Smith git
repo and changes for my last gnuplot 4.4.0-1.1 NMU (currently in sid), with
full branches (sometimes is useful to see upstream changes).

git://anonscm.debian.org/users/agmartin/TMP/gnuplot.git
http://anonscm.debian.org/gitweb/?p=users/agmartin/TMP/gnuplot.git;a=summary

Did not yet test Ubuntu gnuplot packages. A minimal inspection seems to
suggest that they are upgrade-only packages, but did not test properly. 

Regards,

-- 
Agustin




Information forwarded to debian-bugs-dist@lists.debian.org, Bradley Smith <bradsmith@debian.org>:
Bug#607289; Package gnuplot. (Fri, 16 Mar 2012 21:20:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to Anton Gladky <gladky.anton@gmail.com>:
Extra info received and forwarded to list. Copy sent to Bradley Smith <bradsmith@debian.org>. (Fri, 16 Mar 2012 21:20:21 GMT) Full text and rfc822 format available.

Message #62 received at 607289@bugs.debian.org (full text, mbox):

From: Anton Gladky <gladky.anton@gmail.com>
To: Agustin Martin <agmartin@debian.org>
Cc: 607289@bugs.debian.org, debian-science-maintainers@lists.alioth.debian.org
Subject: Re: Bug#607289:
Date: Fri, 16 Mar 2012 22:09:05 +0100
Ok, thanks,

I integrated your branches to debian-science git-repo [1].

[1] http://anonscm.debian.org/gitweb/?p=debian-science/packages/gnuplot.git

Anton




Information forwarded to debian-bugs-dist@lists.debian.org, Bradley Smith <bradsmith@debian.org>, Anton Gladky <gladky.anton@gmail.com>:
Bug#607289; Package gnuplot. (Sat, 17 Mar 2012 10:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to christophe.trophime@lncmi.cnrs.fr:
Extra info received and forwarded to list. Copy sent to Bradley Smith <bradsmith@debian.org>, Anton Gladky <gladky.anton@gmail.com>. (Sat, 17 Mar 2012 10:09:08 GMT) Full text and rfc822 format available.

Message #67 received at 607289@bugs.debian.org (full text, mbox):

From: trophime <christophe.trophime@lncmi.cnrs.fr>
To: Anton Gladky <gladky.anton@gmail.com>
Cc: Agustin Martin <agmartin@debian.org>, 607289@bugs.debian.org, debian-science-maintainers@lists.alioth.debian.org
Subject: Re: Bug#607289:
Date: Sat, 17 Mar 2012 11:06:09 +0100
[Message part 1 (text/plain, inline)]
Le vendredi 16 mars 2012 à 22:09 +0100, Anton Gladky a écrit :
> Ok, thanks,
> 
> I integrated your branches to debian-science git-repo [1].
> 
> [1] http://anonscm.debian.org/gitweb/?p=debian-science/packages/gnuplot.git
> 
> Anton
> 

Starting from oneiric gnuplot package I tried to update to 4.6.0.
I just had to remove the patches to rebuild the package and change
libpng12-dev to libpng-dev.

Maybe it will be worth to somehow start from ubuntu gnuplot package...

C.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Bradley Smith <bradsmith@debian.org>, Anton Gladky <gladky.anton@gmail.com>:
Bug#607289; Package gnuplot. (Mon, 19 Mar 2012 17:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andres Cimmarusti <acimmarusti@gmail.com>:
Extra info received and forwarded to list. Copy sent to Bradley Smith <bradsmith@debian.org>, Anton Gladky <gladky.anton@gmail.com>. (Mon, 19 Mar 2012 17:48:03 GMT) Full text and rfc822 format available.

Message #72 received at 607289@bugs.debian.org (full text, mbox):

From: Andres Cimmarusti <acimmarusti@gmail.com>
To: 607289@bugs.debian.org
Cc: debian-science-maintainers@lists.alioth.debian.org, gladky.anton@gmail.com, christophe.trophime@lncmi.cnrs.fr, agmartin@debian.org
Subject: Re: gnuplot new upstream version
Date: Mon, 19 Mar 2012 13:45:39 -0400
Bugs

http://bugs.debian.org/598547

http://bugs.debian.org/660299

Currently affect squeeze. They have been solved upstream in point
releases (4.4.2 and 4.4.4). Shouldn't these pesky thing be fixed in
Squeeze as well? Uploading 4.4.4 to squeeze would solve this things
(and 4.6 to unstable and testing)

I'll continue to look, because it seems there are many other bugs
affecting squeeze.

Best regards

Andres


On Sat, Mar 3, 2012 at 9:11 AM, Adam D. Barratt
<adam@adam-barratt.org.uk> wrote:
> severity 607289 wishlist
> thanks
>
>
> On 25.02.2012 23:51, Andres Cimmarusti wrote:
>>
>> retitle 607289 New upstream version available 4.4.4
>> severity 607289 grave
>> thanks
>>
>> The Gnuplot package has NOT been maintained in nearly a year and half!
>> I'm dialing up the severity of this bug. Several packages like Octave,
>> maxima, fityk, etc to name a few depend on this package.
>
>
> And exactly which part of "makes the package in question unusable or mostly
> so, or causes data loss, or introduces a security hole allowing access to
> the accounts of users who use the package" matches your description above?
>  Please don't abuse release-critical severities.  Thanks.
>
> Regards,
>
> Adam




Information forwarded to debian-bugs-dist@lists.debian.org, Bradley Smith <bradsmith@debian.org>, Anton Gladky <gladky.anton@gmail.com>:
Bug#607289; Package gnuplot. (Tue, 20 Mar 2012 12:12:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Agustin Martin <agmartin@debian.org>:
Extra info received and forwarded to list. Copy sent to Bradley Smith <bradsmith@debian.org>, Anton Gladky <gladky.anton@gmail.com>. (Tue, 20 Mar 2012 12:13:45 GMT) Full text and rfc822 format available.

Message #77 received at 607289@bugs.debian.org (full text, mbox):

From: Agustin Martin <agmartin@debian.org>
To: christophe.trophime@lncmi.cnrs.fr, 607289@bugs.debian.org
Cc: debian-science-maintainers@lists.alioth.debian.org
Subject: Re: Bug#607289: New upstream version available 4.6
Date: Tue, 20 Mar 2012 12:59:46 +0100
On Sat, Mar 17, 2012 at 11:06:09AM +0100, trophime wrote:
> Le vendredi 16 mars 2012 à 22:09 +0100, Anton Gladky a écrit :
> > Ok, thanks,
> > 
> > I integrated your branches to debian-science git-repo [1].
> > 
> > [1] http://anonscm.debian.org/gitweb/?p=debian-science/packages/gnuplot.git
> > 
> > Anton
> > 
> 
> Starting from oneiric gnuplot package I tried to update to 4.6.0.
> I just had to remove the patches to rebuild the package and change
> libpng12-dev to libpng-dev.
> 
> Maybe it will be worth to somehow start from ubuntu gnuplot package...

Note that at least here, it does not build in a clean sid pbuilder chroot,

For build generated from gnuplot_4.4.3-0ubuntu3.dsc:

../../../term/lua.trm: At top level:
../../../term/lua.trm:99:17: fatal error: lua.h: No such file or directory
compilation terminated.
make[2]: *** [term.o] Error 1

lua include path is not properly passed. I am doing some work with this
(dealing with #503269 patch upgrade). Hope to update the patch today, will
send a followup to #503269.

I was also playing with enabling dpkg-buildflags, but I get some errors like

error: format not a string literal and no format arguments [-Werror=format-security]

because of things like

fprintf(stderr, display_error_text_after);

with no format.

Regards,

-- 
Agustin




Information forwarded to debian-bugs-dist@lists.debian.org, Bradley Smith <bradsmith@debian.org>, Anton Gladky <gladky.anton@gmail.com>:
Bug#607289; Package gnuplot. (Tue, 20 Mar 2012 12:36:24 GMT) Full text and rfc822 format available.

Acknowledgement sent to Agustin Martin <agmartin@debian.org>:
Extra info received and forwarded to list. Copy sent to Bradley Smith <bradsmith@debian.org>, Anton Gladky <gladky.anton@gmail.com>. (Tue, 20 Mar 2012 12:36:28 GMT) Full text and rfc822 format available.

Message #82 received at 607289@bugs.debian.org (full text, mbox):

From: Agustin Martin <agmartin@debian.org>
To: Andres Cimmarusti <acimmarusti@gmail.com>, 607289@bugs.debian.org
Subject: Re: Bug#607289: gnuplot new upstream version
Date: Tue, 20 Mar 2012 13:09:22 +0100
On Mon, Mar 19, 2012 at 01:45:39PM -0400, Andres Cimmarusti wrote:
> Bugs
> 
> http://bugs.debian.org/598547
> 
> http://bugs.debian.org/660299
> 
> Currently affect squeeze. They have been solved upstream in point
> releases (4.4.2 and 4.4.4). Shouldn't these pesky thing be fixed in
> Squeeze as well? Uploading 4.4.4 to squeeze would solve this things
> (and 4.6 to unstable and testing)

Hi, Andres,

Unfortunately, I do not think squeeze security team will approve an
upload for a new upstream version.

If something is a security issue in squeeze and a fix can be backported that
is the way to go. Uploading new upstream versions is only used in very
special cases.
 
> I'll continue to look, because it seems there are many other bugs
> affecting squeeze.

I am pretty sure there are other bugs that are fixed by these new
upstream releases. Thanks a lot for looking into this, so they can properly
be closed.

Regards,

-- 
Agustin




Information forwarded to debian-bugs-dist@lists.debian.org, Bradley Smith <bradsmith@debian.org>:
Bug#607289; Package gnuplot. (Tue, 20 Mar 2012 17:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Anton Gladky <gladky.anton@gmail.com>:
Extra info received and forwarded to list. Copy sent to Bradley Smith <bradsmith@debian.org>. (Tue, 20 Mar 2012 17:48:03 GMT) Full text and rfc822 format available.

Message #87 received at 607289@bugs.debian.org (full text, mbox):

From: Anton Gladky <gladky.anton@gmail.com>
To: Agustin Martin <agmartin@debian.org>
Cc: christophe.trophime@lncmi.cnrs.fr, 607289@bugs.debian.org, debian-science-maintainers@lists.alioth.debian.org
Subject: Re: Bug#607289: New upstream version available 4.6
Date: Tue, 20 Mar 2012 18:45:45 +0100
2012/3/20 Agustin Martin <agmartin@debian.org>:
> I was also playing with enabling dpkg-buildflags, but I get some errors like
>
> error: format not a string literal and no format arguments [-Werror=format-security]
>
> because of things like
>
> fprintf(stderr, display_error_text_after);
>
> with no format.

I have fixed that:

http://anonscm.debian.org/gitweb/?p=debian-science/packages/gnuplot.git;a=commit;h=17e3fffe45bf8f5bc5446a023e656378dc52bb3c

http://anonscm.debian.org/gitweb/?p=debian-science/packages/gnuplot.git;a=commit;h=a4741ac9b48d9c851a34e680b95a135ca0d1c1f0

Anton




Information forwarded to debian-bugs-dist@lists.debian.org, Bradley Smith <bradsmith@debian.org>, Anton Gladky <gladky.anton@gmail.com>:
Bug#607289; Package gnuplot. (Tue, 20 Mar 2012 18:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Agustin Martin <agmartin@debian.org>:
Extra info received and forwarded to list. Copy sent to Bradley Smith <bradsmith@debian.org>, Anton Gladky <gladky.anton@gmail.com>. (Tue, 20 Mar 2012 18:57:04 GMT) Full text and rfc822 format available.

Message #92 received at 607289@bugs.debian.org (full text, mbox):

From: Agustin Martin <agmartin@debian.org>
To: 607289@bugs.debian.org
Cc: debian-science-maintainers@lists.alioth.debian.org, 503269@bugs.debian.org
Subject: Re: Bug#607289: New upstream version available 4.6
Date: Tue, 20 Mar 2012 19:55:08 +0100
[Message part 1 (text/plain, inline)]
On Tue, Mar 20, 2012 at 12:59:46PM +0100, Agustin Martin wrote:
> lua include path is not properly passed. I am doing some work with this
> (dealing with #503269 patch upgrade). Hope to update the patch today, will
> send a followup to #503269.
> 
> I was also playing with enabling dpkg-buildflags, but I get some errors like
> error: format not a string literal and no format arguments [-Werror=format-security]
> 
> because of things like
> 
> fprintf(stderr, display_error_text_after);

On Tue, Mar 20, 2012 at 06:45:45PM +0100, Anton Gladky wrote:
> I have fixed that:
> 
> http://anonscm.debian.org/gitweb/?p=debian-science/packages/gnuplot.git;a=commit;h=17e3fffe45bf8f5bc5446a023e656378dc52bb3c
> 
> http://anonscm.debian.org/gitweb/?p=debian-science/packages/gnuplot.git;a=commit;h=a4741ac9b48d9c851a34e680b95a135ca0d1c1f0

Wow, this was really quick, thanks,

I have re-adapted patch enabling lua/tikz (#503269) to your just committed
changes, please find it attached.

Note that I pass CFLAGS and LDFLAGS after configure. IIRC that makes their
contents be passed and hardcoded into the autogenerated files while the
other way just keep them in environment. I admit it is not totally clear to
me if the above is fully correct and which way is better, so feel free to
adapt it to your taste.

Regards,

-- 
Agustin
[0001-Add-liblua5.1-dev-dependency-and-set-include-path-to.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Bradley Smith <bradsmith@debian.org>, Anton Gladky <gladky.anton@gmail.com>:
Bug#607289; Package gnuplot. (Tue, 20 Mar 2012 19:21:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Agustin Martin <agmartin@debian.org>:
Extra info received and forwarded to list. Copy sent to Bradley Smith <bradsmith@debian.org>, Anton Gladky <gladky.anton@gmail.com>. (Tue, 20 Mar 2012 19:21:09 GMT) Full text and rfc822 format available.

Message #97 received at 607289@bugs.debian.org (full text, mbox):

From: Agustin Martin <agmartin@debian.org>
To: 607289@bugs.debian.org
Cc: debian-science-maintainers@lists.alioth.debian.org
Subject: Re: Bug#607289: New upstream version available 4.6
Date: Tue, 20 Mar 2012 20:15:59 +0100
[Message part 1 (text/plain, inline)]
On Tue, Mar 20, 2012 at 07:55:08PM +0100, Agustin Martin wrote:
> I have re-adapted patch enabling lua/tikz (#503269) to your just committed
> changes, please find it attached.

By the way, one more thing,

You may want to pass --as-needed to the linker to avoid linking against
unneeded libs, see attached patch for a proposal. This will be linker's
default at some time, but seems that not yet.

Also, just noticed that you may want to export LDFLAGS and CFLAGS after
changes for lua and --as-needed (I forgot to put it in my previous patch for
lua enabling -- not needed there since explicitly passed to configure -- and
not added here to keep patch atomic).

Regards,

-- 
Agustin
[0001-Pass-as-needed-to-linker.-Avoids-linking-unneeded-li.patch (text/x-diff, attachment)]

Reply sent to Agustin Martin <agmartin@debian.org>:
You have taken responsibility. (Thu, 22 Mar 2012 18:03:03 GMT) Full text and rfc822 format available.

Notification sent to Alex Valavanis <valavanisalex@gmail.com>:
Bug acknowledged by developer. (Thu, 22 Mar 2012 18:03:03 GMT) Full text and rfc822 format available.

Message #102 received at 607289-done@bugs.debian.org (full text, mbox):

From: Agustin Martin <agmartin@debian.org>
To: 607289-done@bugs.debian.org
Subject: Re: Bug#607289: New gnuplot upstream version available 4.6
Date: Thu, 22 Mar 2012 19:00:16 +0100
Version: 4.6.0-1

On Thu, Mar 15, 2012 at 03:11:21PM +0100, Agustin Martin wrote:
> retitle 607289 New upstream version available 4.6
> thanks
> 
> On Thu, Mar 15, 2012 at 11:43:01AM +0100, maximilian attems wrote:
> > Package: gnuplot
> > Version: 4.4.0-1.1
> > Followup-For: Bug #607289
> 
> > Inbetween gnuplot 4.6 is out, 
> 
> Already released,
> 
> New features, changes and fixes in gnuplot version 4.6
> ======================================================

And already uploaded,

-- 
Agustin




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 21 Apr 2012 07:42:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 07:47:08 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.